if ENV["CI"]
  if ENV["GITHUB_ACTIONS"]
    require "simplecov"
    SimpleCov.start
  else
    require "codeclimate-test-reporter"
    CodeClimate::TestReporter.start
  end
end

require "qiita-markdown"

RSpec.configure do |config|
  config.expect_with :rspec do |expectations|
    expectations.include_chain_clauses_in_custom_matcher_descriptions = true
  end

  config.mock_with :rspec do |mocks|
    mocks.verify_partial_doubles = true
  end

  config.default_formatter = "doc"
  config.filter_run :focus
  config.run_all_when_everything_filtered = true

  config.example_status_persistence_file_path = "spec/examples.txt"
end
